POST v1/MYB2BAgency/SearchMYTrip
Request Information
URI Parameters
None.
Body Parameters
SearchTripB2BModel| Name | Description | Type | Additional information |
|---|---|---|---|
| fromCityId | integer |
Required |
|
| fromCity | string |
Required |
|
| toCityId | integer |
Required |
|
| toCity | string |
Required |
|
| departureDate | string |
Required |
|
| shiftId | integer |
None. |
|
| shift | string |
None. |
|
| vehicleTypeId | integer |
None. |
|
| vehicleType | string |
None. |
|
| vehicleOperatorId | integer |
None. |
|
| vehicleOperator | string |
None. |
|
| pageNumber | integer |
None. |
|
| pageSize | integer |
None. |
|
| myOperatorCode | string |
Required |
|
| myAgentCode | string |
Required |
|
| requestedBy | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"fromCityId": 1,
"fromCity": "sample string 1",
"toCityId": 1,
"toCity": "sample string 2",
"departureDate": "sample string 3",
"shiftId": 1,
"shift": "sample string 4",
"vehicleTypeId": 1,
"vehicleType": "sample string 5",
"vehicleOperatorId": 1,
"vehicleOperator": "sample string 6",
"pageNumber": 1,
"pageSize": 1,
"myOperatorCode": "sample string 7",
"myAgentCode": "sample string 8",
"requestedBy": "sample string 9"
}
application/xml, text/xml
Sample:
<SearchTripB2BModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/MY.API.Models"> <myAgentCode>sample string 8</myAgentCode> <myOperatorCode>sample string 7</myOperatorCode> <requestedBy>sample string 9</requestedBy> <departureDate>sample string 3</departureDate> <fromCity>sample string 1</fromCity> <fromCityId>1</fromCityId> <pageNumber>1</pageNumber> <pageSize>1</pageSize> <shift>sample string 4</shift> <shiftId>1</shiftId> <toCity>sample string 2</toCity> <toCityId>1</toCityId> <vehicleOperator>sample string 6</vehicleOperator> <vehicleOperatorId>1</vehicleOperatorId> <vehicleType>sample string 5</vehicleType> <vehicleTypeId>1</vehicleTypeId> </SearchTripB2BModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |